# Picking Configuration (Operations)

Endpoints to create, update and read pick jobs.

## Get cutoff time

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read pick jobs.","name":"Picking Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"CutoffTimeConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"clickAndCollect":{"$ref":"#/components/schemas/CutoffTime"},"id":{"type":"string"},"shipFromStore":{"$ref":"#/components/schemas/CutoffTime"}},"required":["shipFromStore","clickAndCollect"],"type":"object","title":"CutoffTimeConfiguration","description":"CutoffTimeConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"CutoffTime":{"nullable":true,"properties":{"hour":{"default":12,"type":"number"},"minute":{"default":0,"type":"number"}},"required":["hour","minute"],"type":"object","title":"CutoffTime","description":"CutoffTime"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/cutofftime":{"get":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"getCutoffTimeConfiguration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CutoffTimeConfiguration"}}},"description":"Cutoff time configuration was found & you were allowed to access it. The result is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Cutoff time configuration not found"}},"summary":"Get cutoff time","tags":["Picking Configuration (Operations)"]}}}}
```

## Update cutoff time

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read pick jobs.","name":"Picking Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"CutoffTimeConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"clickAndCollect":{"$ref":"#/components/schemas/CutoffTime"},"id":{"type":"string"},"shipFromStore":{"$ref":"#/components/schemas/CutoffTime"}},"required":["shipFromStore","clickAndCollect"],"type":"object","title":"CutoffTimeConfiguration","description":"CutoffTimeConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"CutoffTime":{"nullable":true,"properties":{"hour":{"default":12,"type":"number"},"minute":{"default":0,"type":"number"}},"required":["hour","minute"],"type":"object","title":"CutoffTime","description":"CutoffTime"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/cutofftime":{"put":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"putCutoffTimeConfiguration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CutoffTimeConfiguration"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CutoffTimeConfiguration"}}},"description":"Cutoff time configuration was written successfully"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Cutoff time configuration not found"}},"summary":"Update cutoff time","tags":["Picking Configuration (Operations)"]}}}}
```

## GET /api/configurations/fulfillmentprocessbuffer

> Get fulfillment process buffer

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read pick jobs.","name":"Picking Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"FulfillmentProcessBufferConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"id":{"type":"string"},"minutes":{"default":240,"description":"Duration in minutes until an order is processed","minimum":0,"type":"integer"}},"required":["minutes"],"type":"object","title":"FulfillmentProcessBufferConfiguration","description":"FulfillmentProcessBufferConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/fulfillmentprocessbuffer":{"get":{"description":"","operationId":"getFulfillmentProcessBufferConfiguration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FulfillmentProcessBufferConfiguration"}}},"description":"Configuration was found & you were allowed to access it. The result is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Configuration not found"}},"summary":"Get fulfillment process buffer","tags":["Picking Configuration (Operations)"]}}}}
```

## PUT /api/configurations/fulfillmentprocessbuffer

> Update fulfillment process buffer

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read pick jobs.","name":"Picking Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"FulfillmentProcessBufferConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"id":{"type":"string"},"minutes":{"default":240,"description":"Duration in minutes until an order is processed","minimum":0,"type":"integer"}},"required":["minutes"],"type":"object","title":"FulfillmentProcessBufferConfiguration","description":"FulfillmentProcessBufferConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/fulfillmentprocessbuffer":{"put":{"description":"","operationId":"putFulfillmentProcessBufferConfiguration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FulfillmentProcessBufferConfiguration"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FulfillmentProcessBufferConfiguration"}}},"description":"Configuration was written successfully"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Configuration not found"}},"summary":"Update fulfillment process buffer","tags":["Picking Configuration (Operations)"]}}}}
```

## GET /api/configurations/loadunit

> Get load unit config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read pick jobs.","name":"Picking Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"LoadUnitConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"maxCount":{"default":20,"description":"Max creatable count of load units per load unit type","type":"integer"}},"type":"object","title":"LoadUnitConfiguration","description":"LoadUnitConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/loadunit":{"get":{"operationId":"getLoadUnitConfiguration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoadUnitConfiguration"}}},"description":"The load unit configuration can be found in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Get load unit config","tags":["Picking Configuration (Operations)"]}}}}
```

## PUT /api/configurations/loadunit

> Update load unit config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read pick jobs.","name":"Picking Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"LoadUnitConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"maxCount":{"default":20,"description":"Max creatable count of load units per load unit type","type":"integer"}},"type":"object","title":"LoadUnitConfiguration","description":"LoadUnitConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/loadunit":{"put":{"description":"","operationId":"putLoadUnitConfiguration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoadUnitConfiguration"}}},"description":"Desired load unit configuration to create/update","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoadUnitConfiguration"}}},"description":"The load unit configuration was successfully updated."},"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoadUnitConfiguration"}}},"description":"The load unit configuration was successfully created."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Update load unit config","tags":["Picking Configuration (Operations)"]}}}}
```

## GET /api/configurations/picking

> Get picking config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read pick jobs.","name":"Picking Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PickingConfigurations":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"backofficePickingConfiguration":{"$ref":"#/components/schemas/BackofficePickingConfiguration"},"batchPickingConfiguration":{"$ref":"#/components/schemas/BatchPickingConfiguration"},"loadUnitAssignmentConfiguration":{"$ref":"#/components/schemas/LoadUnitAssignmentConfiguration"},"multiOrderPickingConfiguration":{"$ref":"#/components/schemas/MultiOrderPickingConfiguration"},"pickingMethodsConfiguration":{"$ref":"#/components/schemas/PickingMethodsConfiguration"},"pickingShortPickConfiguration":{"$ref":"#/components/schemas/PickingShortPickConfiguration"},"restartPickJobConfiguration":{"$ref":"#/components/schemas/RestartPickJobConfiguration"},"scanCodeValidationConfiguration":{"$ref":"#/components/schemas/PickingScanCodeValidationConfiguration"},"scanningConfiguration":{"$ref":"#/components/schemas/PickingScanningConfiguration"},"scheduledPickJobReleaseConfiguration":{"$ref":"#/components/schemas/ScheduledPickJobReleaseConfiguration"},"stockUpdateConfiguration":{"$ref":"#/components/schemas/PickingStockUpdateConfiguration"},"storageLocationAssignmentConfiguration":{"$ref":"#/components/schemas/StorageLocationAssignmentConfiguration"},"takeOverPickJobConfiguration":{"$ref":"#/components/schemas/TakeOverPickJobConfiguration"},"takeOverPickRunConfiguration":{"$ref":"#/components/schemas/TakeOverPickRunConfiguration"}},"type":"object","title":"PickingConfigurations","description":"PickingConfigurations"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"BackofficePickingConfiguration":{"description":"Can this tenant use the backoffice for picking?","properties":{"active":{"default":false,"type":"boolean"}},"required":["active"],"type":"object","title":"BackofficePickingConfiguration"},"BatchPickingConfiguration":{"additionalProperties":false,"properties":{"maxAmountOfPickJobsForBatchPick":{"description":"The maximum amount of pick jobs that can be combined in a batch pick. Must be a value between 1 and 100.","maximum":100,"minimum":1,"type":"integer"}},"required":["maxAmountOfPickJobsForBatchPick"],"type":"object","title":"BatchPickingConfiguration","description":"BatchPickingConfiguration"},"LoadUnitAssignmentConfiguration":{"description":"Who do the load units need to be assigned in pickJob (SingleOrderPick) and pickRun (MultiOrderPick)","properties":{"pickJob":{"$ref":"#/components/schemas/LoadUnitAssignmentType"},"pickRun":{"$ref":"#/components/schemas/LoadUnitAssignmentType"}},"required":["pickJob","pickRun"],"type":"object","title":"LoadUnitAssignmentConfiguration"},"LoadUnitAssignmentType":{"description":"Where do the load unit needs to be assigned?","enum":["INACTIVE","AT_START","AT_END","DURING_PICKING"],"type":"string","title":"LoadUnitAssignmentType"},"MultiOrderPickingConfiguration":{"additionalProperties":false,"properties":{"maxAmountOfPickJobsForMultiOrderPick":{"description":"The maximum amount of pick jobs that can be combined in a multi order pick. Must be a value between 1 and 100.","maximum":100,"minimum":1,"type":"integer"}},"required":["maxAmountOfPickJobsForMultiOrderPick"],"type":"object","title":"MultiOrderPickingConfiguration","description":"MultiOrderPickingConfiguration"},"PickingMethodsConfiguration":{"properties":{"defaultPickingMethod":{"$ref":"#/components/schemas/PickingMethodEnum"}},"required":["defaultPickingMethod"],"type":"object","title":"PickingMethodsConfiguration","description":"PickingMethodsConfiguration"},"PickingMethodEnum":{"description":"Way in which the picking should be handled Deprecated: BATCH_PICKING, use BATCH instead","enum":["SINGLE_ORDER","MULTI_ORDER","BATCH_PICKING","BATCH"],"type":"string","title":"PickingMethodEnum"},"PickingShortPickConfiguration":{"properties":{"confirmationOnShortPick":{"default":false,"description":"Does the picker needs to confirm a stock correction before adding a short pick","type":"boolean"},"shortPickReasons":{"items":{"$ref":"#/components/schemas/ShortPickReason"},"type":"array"}},"required":["confirmationOnShortPick"],"type":"object","title":"PickingShortPickConfiguration","description":"PickingShortPickConfiguration"},"ShortPickReason":{"additionalProperties":false,"properties":{"reasonLocalized":{"$ref":"#/components/schemas/LocaleString","description":"Localized reason"},"active":{"description":"Flag to mark a reason as active or inactive","type":"boolean"},"reason":{"description":"translated reasonLocalized according to the given locale","type":"string"}},"required":["active","reasonLocalized"],"title":"ShortPickReason","description":"ShortPickReason"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"RestartPickJobConfiguration":{"properties":{"active":{"default":true,"type":"boolean"}},"required":["active"],"type":"object","title":"RestartPickJobConfiguration","description":"RestartPickJobConfiguration"},"PickingScanCodeValidationConfiguration":{"properties":{"pickingScanCodeValidationType":{"$ref":"#/components/schemas/PickingScanCodeValidationEnum"}},"required":["pickingScanCodeValidationType"],"type":"object","title":"PickingScanCodeValidationConfiguration","description":"PickingScanCodeValidationConfiguration"},"PickingScanCodeValidationEnum":{"description":"State that defines if unknown scan codes can be accepted","enum":["NO_VALIDATION","CODE_MUST_BE_KNOWN"],"type":"string","title":"PickingScanCodeValidationEnum"},"PickingScanningConfiguration":{"properties":{"rolesWithOverwritingScanningPermission":{"items":{"$ref":"#/components/schemas/UserRoleNames"},"minItems":1,"type":"array"},"scanningRule":{"$ref":"#/components/schemas/ScanningRuleConfiguration"},"scanningType":{"$ref":"#/components/schemas/PickingScanningConfigurationEnum"}},"type":"object","title":"PickingScanningConfiguration","description":"PickingScanningConfiguration"},"UserRoleNames":{"description":"All available user roles","enum":["FULFILLER","SUPERVISOR","ADMINISTRATOR"],"type":"string","xml":{"name":"UserRoleNames"},"title":"UserRoleNames"},"ScanningRuleConfiguration":{"description":"Configuration to show the client how the items should be scanned during picking","properties":{"values":{"items":{"$ref":"#/components/schemas/ScanningRuleValue"},"type":"array"}},"title":"ScanningRuleConfiguration"},"ScanningRuleValue":{"properties":{"priority":{"description":"This field allows you to rank scanningRuleType against each other. The lowest number is the most preferable.","minimum":0,"type":"number"},"scanningRuleType":{"$ref":"#/components/schemas/ScanningRuleTypeEnum"}},"required":["priority","scanningRuleType"],"title":"ScanningRuleValue","description":"ScanningRuleValue"},"ScanningRuleTypeEnum":{"description":"Type of scanning rule","enum":["ARTICLE","LOCATION"],"type":"string","title":"ScanningRuleTypeEnum"},"PickingScanningConfigurationEnum":{"description":"Way in which the scanning of articles during picking is enforced","enum":["MUST_SCAN_FIRST","MUST_SCAN_EACH","SCAN_NOT_REQUIRED"],"type":"string","title":"PickingScanningConfigurationEnum"},"ScheduledPickJobReleaseConfiguration":{"properties":{"openPickJobLeadTimeInMinutes":{"description":"This config describes when a scheduled PickJob should be released and made available for picking (pickjob.pickingTimes.latest - openPickJobLeadTimeInMinutes = time when the PickJob should be released).","type":"integer"}},"required":["openPickJobLeadTimeInMinutes"],"type":"object","title":"ScheduledPickJobReleaseConfiguration","description":"ScheduledPickJobReleaseConfiguration"},"PickingStockUpdateConfiguration":{"properties":{"active":{"default":false,"description":"Enable or disable stock update check for pick jobs","type":"boolean"}},"required":["active"],"type":"object","title":"PickingStockUpdateConfiguration","description":"PickingStockUpdateConfiguration"},"StorageLocationAssignmentConfiguration":{"additionalProperties":false,"properties":{"storageLocationRequired":{"enum":["ALL","SOME","NONE"],"type":"string"}},"required":["storageLocationRequired"],"type":"object","title":"StorageLocationAssignmentConfiguration","description":"StorageLocationAssignmentConfiguration"},"TakeOverPickJobConfiguration":{"properties":{"active":{"default":false,"description":"Enable or disable pick job takeover","type":"boolean"}},"required":["active"],"type":"object","title":"TakeOverPickJobConfiguration","description":"TakeOverPickJobConfiguration"},"TakeOverPickRunConfiguration":{"properties":{"active":{"default":false,"description":"Enable or disable pick run takeover","type":"boolean"}},"required":["active"],"type":"object","title":"TakeOverPickRunConfiguration","description":"TakeOverPickRunConfiguration"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/picking":{"get":{"operationId":"getPickingConfigurations","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PickingConfigurations"}}},"description":"Central Configuration of all picking related things"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Get picking config","tags":["Picking Configuration (Operations)"]}}}}
```

## PATCH /api/configurations/picking

> Update picking config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read pick jobs.","name":"Picking Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PickingConfigurations":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"backofficePickingConfiguration":{"$ref":"#/components/schemas/BackofficePickingConfiguration"},"batchPickingConfiguration":{"$ref":"#/components/schemas/BatchPickingConfiguration"},"loadUnitAssignmentConfiguration":{"$ref":"#/components/schemas/LoadUnitAssignmentConfiguration"},"multiOrderPickingConfiguration":{"$ref":"#/components/schemas/MultiOrderPickingConfiguration"},"pickingMethodsConfiguration":{"$ref":"#/components/schemas/PickingMethodsConfiguration"},"pickingShortPickConfiguration":{"$ref":"#/components/schemas/PickingShortPickConfiguration"},"restartPickJobConfiguration":{"$ref":"#/components/schemas/RestartPickJobConfiguration"},"scanCodeValidationConfiguration":{"$ref":"#/components/schemas/PickingScanCodeValidationConfiguration"},"scanningConfiguration":{"$ref":"#/components/schemas/PickingScanningConfiguration"},"scheduledPickJobReleaseConfiguration":{"$ref":"#/components/schemas/ScheduledPickJobReleaseConfiguration"},"stockUpdateConfiguration":{"$ref":"#/components/schemas/PickingStockUpdateConfiguration"},"storageLocationAssignmentConfiguration":{"$ref":"#/components/schemas/StorageLocationAssignmentConfiguration"},"takeOverPickJobConfiguration":{"$ref":"#/components/schemas/TakeOverPickJobConfiguration"},"takeOverPickRunConfiguration":{"$ref":"#/components/schemas/TakeOverPickRunConfiguration"}},"type":"object","title":"PickingConfigurations","description":"PickingConfigurations"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"BackofficePickingConfiguration":{"description":"Can this tenant use the backoffice for picking?","properties":{"active":{"default":false,"type":"boolean"}},"required":["active"],"type":"object","title":"BackofficePickingConfiguration"},"BatchPickingConfiguration":{"additionalProperties":false,"properties":{"maxAmountOfPickJobsForBatchPick":{"description":"The maximum amount of pick jobs that can be combined in a batch pick. Must be a value between 1 and 100.","maximum":100,"minimum":1,"type":"integer"}},"required":["maxAmountOfPickJobsForBatchPick"],"type":"object","title":"BatchPickingConfiguration","description":"BatchPickingConfiguration"},"LoadUnitAssignmentConfiguration":{"description":"Who do the load units need to be assigned in pickJob (SingleOrderPick) and pickRun (MultiOrderPick)","properties":{"pickJob":{"$ref":"#/components/schemas/LoadUnitAssignmentType"},"pickRun":{"$ref":"#/components/schemas/LoadUnitAssignmentType"}},"required":["pickJob","pickRun"],"type":"object","title":"LoadUnitAssignmentConfiguration"},"LoadUnitAssignmentType":{"description":"Where do the load unit needs to be assigned?","enum":["INACTIVE","AT_START","AT_END","DURING_PICKING"],"type":"string","title":"LoadUnitAssignmentType"},"MultiOrderPickingConfiguration":{"additionalProperties":false,"properties":{"maxAmountOfPickJobsForMultiOrderPick":{"description":"The maximum amount of pick jobs that can be combined in a multi order pick. Must be a value between 1 and 100.","maximum":100,"minimum":1,"type":"integer"}},"required":["maxAmountOfPickJobsForMultiOrderPick"],"type":"object","title":"MultiOrderPickingConfiguration","description":"MultiOrderPickingConfiguration"},"PickingMethodsConfiguration":{"properties":{"defaultPickingMethod":{"$ref":"#/components/schemas/PickingMethodEnum"}},"required":["defaultPickingMethod"],"type":"object","title":"PickingMethodsConfiguration","description":"PickingMethodsConfiguration"},"PickingMethodEnum":{"description":"Way in which the picking should be handled Deprecated: BATCH_PICKING, use BATCH instead","enum":["SINGLE_ORDER","MULTI_ORDER","BATCH_PICKING","BATCH"],"type":"string","title":"PickingMethodEnum"},"PickingShortPickConfiguration":{"properties":{"confirmationOnShortPick":{"default":false,"description":"Does the picker needs to confirm a stock correction before adding a short pick","type":"boolean"},"shortPickReasons":{"items":{"$ref":"#/components/schemas/ShortPickReason"},"type":"array"}},"required":["confirmationOnShortPick"],"type":"object","title":"PickingShortPickConfiguration","description":"PickingShortPickConfiguration"},"ShortPickReason":{"additionalProperties":false,"properties":{"reasonLocalized":{"$ref":"#/components/schemas/LocaleString","description":"Localized reason"},"active":{"description":"Flag to mark a reason as active or inactive","type":"boolean"},"reason":{"description":"translated reasonLocalized according to the given locale","type":"string"}},"required":["active","reasonLocalized"],"title":"ShortPickReason","description":"ShortPickReason"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"RestartPickJobConfiguration":{"properties":{"active":{"default":true,"type":"boolean"}},"required":["active"],"type":"object","title":"RestartPickJobConfiguration","description":"RestartPickJobConfiguration"},"PickingScanCodeValidationConfiguration":{"properties":{"pickingScanCodeValidationType":{"$ref":"#/components/schemas/PickingScanCodeValidationEnum"}},"required":["pickingScanCodeValidationType"],"type":"object","title":"PickingScanCodeValidationConfiguration","description":"PickingScanCodeValidationConfiguration"},"PickingScanCodeValidationEnum":{"description":"State that defines if unknown scan codes can be accepted","enum":["NO_VALIDATION","CODE_MUST_BE_KNOWN"],"type":"string","title":"PickingScanCodeValidationEnum"},"PickingScanningConfiguration":{"properties":{"rolesWithOverwritingScanningPermission":{"items":{"$ref":"#/components/schemas/UserRoleNames"},"minItems":1,"type":"array"},"scanningRule":{"$ref":"#/components/schemas/ScanningRuleConfiguration"},"scanningType":{"$ref":"#/components/schemas/PickingScanningConfigurationEnum"}},"type":"object","title":"PickingScanningConfiguration","description":"PickingScanningConfiguration"},"UserRoleNames":{"description":"All available user roles","enum":["FULFILLER","SUPERVISOR","ADMINISTRATOR"],"type":"string","xml":{"name":"UserRoleNames"},"title":"UserRoleNames"},"ScanningRuleConfiguration":{"description":"Configuration to show the client how the items should be scanned during picking","properties":{"values":{"items":{"$ref":"#/components/schemas/ScanningRuleValue"},"type":"array"}},"title":"ScanningRuleConfiguration"},"ScanningRuleValue":{"properties":{"priority":{"description":"This field allows you to rank scanningRuleType against each other. The lowest number is the most preferable.","minimum":0,"type":"number"},"scanningRuleType":{"$ref":"#/components/schemas/ScanningRuleTypeEnum"}},"required":["priority","scanningRuleType"],"title":"ScanningRuleValue","description":"ScanningRuleValue"},"ScanningRuleTypeEnum":{"description":"Type of scanning rule","enum":["ARTICLE","LOCATION"],"type":"string","title":"ScanningRuleTypeEnum"},"PickingScanningConfigurationEnum":{"description":"Way in which the scanning of articles during picking is enforced","enum":["MUST_SCAN_FIRST","MUST_SCAN_EACH","SCAN_NOT_REQUIRED"],"type":"string","title":"PickingScanningConfigurationEnum"},"ScheduledPickJobReleaseConfiguration":{"properties":{"openPickJobLeadTimeInMinutes":{"description":"This config describes when a scheduled PickJob should be released and made available for picking (pickjob.pickingTimes.latest - openPickJobLeadTimeInMinutes = time when the PickJob should be released).","type":"integer"}},"required":["openPickJobLeadTimeInMinutes"],"type":"object","title":"ScheduledPickJobReleaseConfiguration","description":"ScheduledPickJobReleaseConfiguration"},"PickingStockUpdateConfiguration":{"properties":{"active":{"default":false,"description":"Enable or disable stock update check for pick jobs","type":"boolean"}},"required":["active"],"type":"object","title":"PickingStockUpdateConfiguration","description":"PickingStockUpdateConfiguration"},"StorageLocationAssignmentConfiguration":{"additionalProperties":false,"properties":{"storageLocationRequired":{"enum":["ALL","SOME","NONE"],"type":"string"}},"required":["storageLocationRequired"],"type":"object","title":"StorageLocationAssignmentConfiguration","description":"StorageLocationAssignmentConfiguration"},"TakeOverPickJobConfiguration":{"properties":{"active":{"default":false,"description":"Enable or disable pick job takeover","type":"boolean"}},"required":["active"],"type":"object","title":"TakeOverPickJobConfiguration","description":"TakeOverPickJobConfiguration"},"TakeOverPickRunConfiguration":{"properties":{"active":{"default":false,"description":"Enable or disable pick run takeover","type":"boolean"}},"required":["active"],"type":"object","title":"TakeOverPickRunConfiguration","description":"TakeOverPickRunConfiguration"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/picking":{"patch":{"description":"","operationId":"putPickingConfigurations","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PickingConfigurations"}}},"description":"Update picking central configuration","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PickingConfigurations"}}},"description":"The picking central configuration was successfully updated."},"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PickingConfigurations"}}},"description":"The picking central configuration was successfully created."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Update picking config","tags":["Picking Configuration (Operations)"]}}}}
```

## GET /api/configurations/pickingtimes

> Get picking times

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read pick jobs.","name":"Picking Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"DefaultPickingTimesConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"pickingTimes":{"$ref":"#/components/schemas/PickingTimes","description":"The default picking times are Mo-Sa 09:00-17:00"}},"required":["pickingTimes"],"type":"object","title":"DefaultPickingTimesConfiguration","description":"DefaultPickingTimesConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"PickingTimes":{"description":"Time ranges defining the picking times per weekday. No overlapping ranges are allowed. There must be no overlaps for time ranges on a day","properties":{"friday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"monday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"saturday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"sunday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"thursday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"tuesday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"wednesday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"}},"type":"object","title":"PickingTimes"},"TimeRange":{"properties":{"capacity":{"minimum":0,"type":"number"},"end":{"$ref":"#/components/schemas/TimeStamp"},"start":{"$ref":"#/components/schemas/TimeStamp"}},"required":["start","end"],"type":"object","title":"TimeRange","description":"TimeRange"},"TimeStamp":{"properties":{"hour":{"maximum":23,"minimum":0,"type":"number"},"minute":{"maximum":59,"minimum":0,"type":"number"}},"required":["hour","minute"],"type":"object","title":"TimeStamp","description":"TimeStamp"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/pickingtimes":{"get":{"description":"","operationId":"getDefaultPickingTimesConfiguration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultPickingTimesConfiguration"}}},"description":"Picking Times config found."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Get picking times","tags":["Picking Configuration (Operations)"]}}}}
```

## PUT /api/configurations/pickingtimes

> Update picking times

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read pick jobs.","name":"Picking Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"DefaultPickingTimesConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"pickingTimes":{"$ref":"#/components/schemas/PickingTimes","description":"The default picking times are Mo-Sa 09:00-17:00"}},"required":["pickingTimes"],"type":"object","title":"DefaultPickingTimesConfiguration","description":"DefaultPickingTimesConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"PickingTimes":{"description":"Time ranges defining the picking times per weekday. No overlapping ranges are allowed. There must be no overlaps for time ranges on a day","properties":{"friday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"monday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"saturday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"sunday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"thursday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"tuesday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"},"wednesday":{"items":{"$ref":"#/components/schemas/TimeRange"},"type":"array"}},"type":"object","title":"PickingTimes"},"TimeRange":{"properties":{"capacity":{"minimum":0,"type":"number"},"end":{"$ref":"#/components/schemas/TimeStamp"},"start":{"$ref":"#/components/schemas/TimeStamp"}},"required":["start","end"],"type":"object","title":"TimeRange","description":"TimeRange"},"TimeStamp":{"properties":{"hour":{"maximum":23,"minimum":0,"type":"number"},"minute":{"maximum":59,"minimum":0,"type":"number"}},"required":["hour","minute"],"type":"object","title":"TimeStamp","description":"TimeStamp"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/pickingtimes":{"put":{"description":"","operationId":"putDefaultPickingTimesConfiguration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultPickingTimesConfiguration"}}},"description":"Desired default picking times configuration to create/update","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultPickingTimesConfiguration"}}},"description":"The default picking times configuration was successfully updated."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"409":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Configuration version conflict"}},"summary":"Update picking times","tags":["Picking Configuration (Operations)"]}}}}
```

## Get substitution config

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read pick jobs.","name":"Picking Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"SubstitutionConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"description":"Substitution Configuration","properties":{"active":{"default":true,"description":"Toggle for substitution articles.","type":"boolean"}},"required":["active"],"title":"SubstitutionConfiguration","type":"object"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/substitution":{"get":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"getSubstitutionConfiguration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubstitutionConfiguration"}}},"description":"Substitution config found."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Get substitution config","tags":["Picking Configuration (Operations)"]}}}}
```

## PUT /api/configurations/substitution

> Update substitution config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read pick jobs.","name":"Picking Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"SubstitutionConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"description":"Substitution Configuration","properties":{"active":{"default":true,"description":"Toggle for substitution articles.","type":"boolean"}},"required":["active"],"title":"SubstitutionConfiguration","type":"object"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/substitution":{"put":{"description":"","operationId":"putSubstitutionConfiguration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubstitutionConfiguration"}}},"description":"Desired substitution configuration to create/update","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubstitutionConfiguration"}}},"description":"The substitution configuration was successfully updated."},"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubstitutionConfiguration"}}},"description":"The substitution configuration was successfully created."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"409":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Facility version conflict"}},"summary":"Update substitution config","tags":["Picking Configuration (Operations)"]}}}}
```

## GET /api/configurations/tags/pickjob

> Get pick job tag config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read pick jobs.","name":"Picking Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PickJobTagConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"lineItemScanningConfiguration":{"$ref":"#/components/schemas/TagScanningConfiguration"},"lineItemStickerConfiguration":{"$ref":"#/components/schemas/StickerConfiguration"},"offeredDocumentsByDefault":{"description":"This configuration is a fallback and applies only if none of the entries in offeredDocumentsPerTag can be applied","items":{"$ref":"#/components/schemas/OfferedDocument"},"type":"array"},"offeredDocumentsPerTag":{"description":"All entries with a match in their matchingValues will be combined when determining what documents belong to an entity","items":{"$ref":"#/components/schemas/OfferedDocumentPerTag"},"type":"array"},"preferredPickingMethodsConfiguration":{"$ref":"#/components/schemas/PreferredPickingMethodsConfiguration"},"stickerConfiguration":{"$ref":"#/components/schemas/StickerConfiguration"}},"required":["offeredDocumentsPerTag","offeredDocumentsByDefault"],"title":"PickJobTagConfiguration","description":"PickJobTagConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"TagScanningConfiguration":{"additionalProperties":false,"properties":{"offeredScanningRuleByTag":{"items":{"$ref":"#/components/schemas/OfferedScanningRuleByTag"},"type":"array"}},"title":"TagScanningConfiguration","description":"TagScanningConfiguration"},"OfferedScanningRuleByTag":{"additionalProperties":false,"properties":{"matchingValues":{"items":{"type":"string"},"minItems":1,"type":"array"},"scanningType":{"$ref":"#/components/schemas/PickingScanningConfigurationEnum"},"tagRef":{"minLength":1,"type":"string"}},"required":["tagRef","matchingValues","scanningType"],"type":"object","title":"OfferedScanningRuleByTag","description":"OfferedScanningRuleByTag"},"PickingScanningConfigurationEnum":{"description":"Way in which the scanning of articles during picking is enforced","enum":["MUST_SCAN_FIRST","MUST_SCAN_EACH","SCAN_NOT_REQUIRED"],"type":"string","title":"PickingScanningConfigurationEnum"},"StickerConfiguration":{"additionalProperties":false,"properties":{"offeredStickersByTag":{"items":{"$ref":"#/components/schemas/OfferedStickersByTag"},"maxItems":500,"type":"array"}},"title":"StickerConfiguration","description":"StickerConfiguration"},"OfferedStickersByTag":{"additionalProperties":false,"properties":{"matchingValues":{"items":{"type":"string"},"maxItems":500,"minItems":1,"type":"array"},"stickers":{"items":{"$ref":"#/components/schemas/Sticker"},"maxItems":500,"minItems":1,"type":"array"},"tagRef":{"type":"string"}},"required":["tagRef","matchingValues","stickers"],"type":"object","title":"OfferedStickersByTag","description":"OfferedStickersByTag"},"Sticker":{"additionalProperties":false,"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString","description":"Dictionary of possible translations, min 1 entry, max 14 characters per description"},"color":{"description":"optional color coding for the sticker","type":"string"},"key":{"description":"unique identifier","type":"string"},"name":{"description":"Translated display name","type":"string"},"priority":{"description":"priority of the given sticker","format":"int64","maximum":10000,"minimum":1,"type":"integer"}},"required":["key","nameLocalized","priority"],"title":"Sticker","description":"Sticker"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"OfferedDocument":{"properties":{"documentCategory":{"$ref":"#/components/schemas/DocumentCategory"}},"required":["documentCategory"],"type":"object","title":"OfferedDocument","description":"OfferedDocument"},"DocumentCategory":{"enum":["EXTERNAL","DELIVERYNOTE","RETURNNOTE","SENDLABEL","RETURNLABEL","TRANSFERLABEL","CUSTOMS"],"type":"string","title":"DocumentCategory","description":"DocumentCategory"},"OfferedDocumentPerTag":{"properties":{"matchingValues":{"items":{"minItems":1,"type":"string"},"maxItems":500,"type":"array"},"offeredDocuments":{"items":{"$ref":"#/components/schemas/OfferedDocument"},"maxItems":500,"type":"array"},"tagRef":{"type":"string"}},"required":["offeredDocuments","matchingValues","tagRef"],"type":"object","title":"OfferedDocumentPerTag","description":"OfferedDocumentPerTag"},"PreferredPickingMethodsConfiguration":{"properties":{"PreferredPickingMethodsPerTag":{"items":{"$ref":"#/components/schemas/PreferredPickingMethodsPerTag"},"type":"array"}},"title":"PreferredPickingMethodsConfiguration","description":"PreferredPickingMethodsConfiguration"},"PreferredPickingMethodsPerTag":{"additionalProperties":false,"properties":{"matchingValues":{"items":{"type":"string"},"minItems":1,"type":"array"},"pickingMethods":{"items":{"$ref":"#/components/schemas/PickingMethodEnum"},"minItems":1,"type":"array"},"tagRef":{"type":"string"}},"required":["tagRef","pickingMethods","matchingValues"],"title":"PreferredPickingMethodsPerTag","description":"PreferredPickingMethodsPerTag"},"PickingMethodEnum":{"description":"Way in which the picking should be handled Deprecated: BATCH_PICKING, use BATCH instead","enum":["SINGLE_ORDER","MULTI_ORDER","BATCH_PICKING","BATCH"],"type":"string","title":"PickingMethodEnum"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/tags/pickjob":{"get":{"description":"","operationId":"getPickJobTagConfiguration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PickJobTagConfiguration"}}},"description":"pickjob tag config is in response body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Get pick job tag config","tags":["Picking Configuration (Operations)"]}}}}
```

## PUT /api/configurations/tags/pickjob

> Update pick job tag config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read pick jobs.","name":"Picking Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PickJobTagConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"lineItemScanningConfiguration":{"$ref":"#/components/schemas/TagScanningConfiguration"},"lineItemStickerConfiguration":{"$ref":"#/components/schemas/StickerConfiguration"},"offeredDocumentsByDefault":{"description":"This configuration is a fallback and applies only if none of the entries in offeredDocumentsPerTag can be applied","items":{"$ref":"#/components/schemas/OfferedDocument"},"type":"array"},"offeredDocumentsPerTag":{"description":"All entries with a match in their matchingValues will be combined when determining what documents belong to an entity","items":{"$ref":"#/components/schemas/OfferedDocumentPerTag"},"type":"array"},"preferredPickingMethodsConfiguration":{"$ref":"#/components/schemas/PreferredPickingMethodsConfiguration"},"stickerConfiguration":{"$ref":"#/components/schemas/StickerConfiguration"}},"required":["offeredDocumentsPerTag","offeredDocumentsByDefault"],"title":"PickJobTagConfiguration","description":"PickJobTagConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"TagScanningConfiguration":{"additionalProperties":false,"properties":{"offeredScanningRuleByTag":{"items":{"$ref":"#/components/schemas/OfferedScanningRuleByTag"},"type":"array"}},"title":"TagScanningConfiguration","description":"TagScanningConfiguration"},"OfferedScanningRuleByTag":{"additionalProperties":false,"properties":{"matchingValues":{"items":{"type":"string"},"minItems":1,"type":"array"},"scanningType":{"$ref":"#/components/schemas/PickingScanningConfigurationEnum"},"tagRef":{"minLength":1,"type":"string"}},"required":["tagRef","matchingValues","scanningType"],"type":"object","title":"OfferedScanningRuleByTag","description":"OfferedScanningRuleByTag"},"PickingScanningConfigurationEnum":{"description":"Way in which the scanning of articles during picking is enforced","enum":["MUST_SCAN_FIRST","MUST_SCAN_EACH","SCAN_NOT_REQUIRED"],"type":"string","title":"PickingScanningConfigurationEnum"},"StickerConfiguration":{"additionalProperties":false,"properties":{"offeredStickersByTag":{"items":{"$ref":"#/components/schemas/OfferedStickersByTag"},"maxItems":500,"type":"array"}},"title":"StickerConfiguration","description":"StickerConfiguration"},"OfferedStickersByTag":{"additionalProperties":false,"properties":{"matchingValues":{"items":{"type":"string"},"maxItems":500,"minItems":1,"type":"array"},"stickers":{"items":{"$ref":"#/components/schemas/Sticker"},"maxItems":500,"minItems":1,"type":"array"},"tagRef":{"type":"string"}},"required":["tagRef","matchingValues","stickers"],"type":"object","title":"OfferedStickersByTag","description":"OfferedStickersByTag"},"Sticker":{"additionalProperties":false,"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString","description":"Dictionary of possible translations, min 1 entry, max 14 characters per description"},"color":{"description":"optional color coding for the sticker","type":"string"},"key":{"description":"unique identifier","type":"string"},"name":{"description":"Translated display name","type":"string"},"priority":{"description":"priority of the given sticker","format":"int64","maximum":10000,"minimum":1,"type":"integer"}},"required":["key","nameLocalized","priority"],"title":"Sticker","description":"Sticker"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"OfferedDocument":{"properties":{"documentCategory":{"$ref":"#/components/schemas/DocumentCategory"}},"required":["documentCategory"],"type":"object","title":"OfferedDocument","description":"OfferedDocument"},"DocumentCategory":{"enum":["EXTERNAL","DELIVERYNOTE","RETURNNOTE","SENDLABEL","RETURNLABEL","TRANSFERLABEL","CUSTOMS"],"type":"string","title":"DocumentCategory","description":"DocumentCategory"},"OfferedDocumentPerTag":{"properties":{"matchingValues":{"items":{"minItems":1,"type":"string"},"maxItems":500,"type":"array"},"offeredDocuments":{"items":{"$ref":"#/components/schemas/OfferedDocument"},"maxItems":500,"type":"array"},"tagRef":{"type":"string"}},"required":["offeredDocuments","matchingValues","tagRef"],"type":"object","title":"OfferedDocumentPerTag","description":"OfferedDocumentPerTag"},"PreferredPickingMethodsConfiguration":{"properties":{"PreferredPickingMethodsPerTag":{"items":{"$ref":"#/components/schemas/PreferredPickingMethodsPerTag"},"type":"array"}},"title":"PreferredPickingMethodsConfiguration","description":"PreferredPickingMethodsConfiguration"},"PreferredPickingMethodsPerTag":{"additionalProperties":false,"properties":{"matchingValues":{"items":{"type":"string"},"minItems":1,"type":"array"},"pickingMethods":{"items":{"$ref":"#/components/schemas/PickingMethodEnum"},"minItems":1,"type":"array"},"tagRef":{"type":"string"}},"required":["tagRef","pickingMethods","matchingValues"],"title":"PreferredPickingMethodsPerTag","description":"PreferredPickingMethodsPerTag"},"PickingMethodEnum":{"description":"Way in which the picking should be handled Deprecated: BATCH_PICKING, use BATCH instead","enum":["SINGLE_ORDER","MULTI_ORDER","BATCH_PICKING","BATCH"],"type":"string","title":"PickingMethodEnum"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/tags/pickjob":{"put":{"description":"","operationId":"putPickJobTagConfigurations","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PickJobTagConfiguration"}}},"description":"Desired Tag Configuration for Pickjobs","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PickJobTagConfiguration"}}},"description":"The packing configuration was successfully updated."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Update pick job tag config","tags":["Picking Configuration (Operations)"]}}}}
```

## GET /api/pickjobs/{pickJobId}/documenthandling

> Get pick job document handling

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read pick jobs.","name":"Picking Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"DocumentHandling":{"properties":{"sendLabel":{"properties":{"enabled":{"default":false,"type":"boolean"}},"required":["enabled"],"type":"object"}},"required":["sendLabel"],"type":"object","title":"DocumentHandling","description":"DocumentHandling"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/pickjobs/{pickJobId}/documenthandling":{"get":{"description":"","operationId":"getPickJobDocumentHandling","parameters":[{"description":"ID of the pick job you want to get document handling information","in":"path","name":"pickJobId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentHandling"}}},"description":"Pick job document handling was found & you were allowed to access it. The result is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Get pick job document handling","tags":["Picking Configuration (Operations)"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/picking-configuration-operations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
